Summary: Atomic configuration builder and editor
Name: aten
Version: 1.9
Release: 1%{?dist}
License: GPLv3+
Source: http://www.projectaten.net/aten/downloads/%{name}-%{version}.tar.gz
URL: http://www.projectaten.net
BuildRequires: gcc-c++ qt4-devel readline-devel desktop-file-utils

%description

Aten provides a clean graphical user interface allowing the intuitive
editing and creation of input coordinates for computational
chemistry/physics codes.  It allows periodic (i.e. condensed) and
non-periodic (i.e. gas-phase) models and systems to be created either
from scratch or from existing coordinate files.  Molecular mechanics
forcefields of standard functional forms may be loaded and used to
minimise existing systems or create (through Monte Carlo techniques)
new multi-component configurations.  Periodic systems may be
stretched, scaled, and repeated, and symmetry operators
applied. Molecular dynamics trajectories may be loaded, viewed, frames
edited, and properties calculated.

%prep
%setup -q

%build
%configure --disable-silent-rules  --with-qtmoc=moc-qt4 --with-qtuic=uic-qt4
make %{?_smp_mflags}

%install
make install DESTDIR=%buildroot
sed -i -e s,/usr/share,%_datadir, -e /^Version/d -e /X-SuSE/d Aten.desktop
desktop-file-install --dir=%buildroot%_datadir/applications Aten.desktop

%{!?_licensedir:%global license %doc}
%files
%license COPYING
%doc AUTHORS README TODO ChangeLog
%_datadir/applications/Aten.desktop
%_bindir/aten
%_datadir/aten

%changelog
* Fri Feb 26 2016 Dave Love <loveshack@fedoraproject.org> - 1.9-1
- Initial Fedora packaging, replacing bundled spec
